Skip to main content
POST
/
wallet-grants
Create a wallet grant
curl --request POST \
  --url https://api.alguna.io/wallet-grants \
  --header 'Alguna-Version: <alguna-version>' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "amount": "<string>",
  "wallet_id": "wlt_01H2ABC",
  "description": "<string>",
  "expires_at": "2023-11-07T05:31:56Z",
  "payment_id": "<string>"
}
'
{
  "amount": "<string>",
  "created_at": "2026-04-01T10:00:00Z",
  "id": "wgr_01H1VECT",
  "status": "approved",
  "updated_at": "2026-04-01T12:30:00Z",
  "wallet_id": "wlt_01H2ABC",
  "description": "<string>",
  "expires_at": "2027-03-24T10:00:00Z",
  "invoice_id": "<string>",
  "payment_id": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://alguna.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key authentication. Pass your API key as a Bearer token.

Headers

Alguna-Version
enum<string>
required
Available options:
2026-04-01
Idempotency-Key
string

A unique string used to ensure the request is processed exactly once. If you retry a request with the same idempotency key within 24 hours, the original response is returned without re-executing the operation.

Maximum string length: 255
Example:

"ik_a1b2c3d4e5f6"

Body

application/json
amount
string
required

Amount of the grant

wallet_id
string
required

Identifier of the wallet

Example:

"wlt_01H2ABC"

description
string | null

Description of the grant

expires_at
string<date-time> | null

When the grant expires

payment_id
string | null

Associated payment identifier

Response

Success

amount
string
required

Amount of the grant

created_at
string<date-time>
required

Timestamp when the grant was created

Example:

"2026-04-01T10:00:00Z"

id
string
required

Unique identifier for the wallet grant

Example:

"wgr_01H1VECT"

status
enum<string>
required

Status of the grant

Available options:
pending,
approved,
voided,
expired
Example:

"approved"

updated_at
string<date-time>
required

Timestamp when the grant was last updated

Example:

"2026-04-01T12:30:00Z"

wallet_id
string
required

Identifier of the wallet this grant belongs to

Example:

"wlt_01H2ABC"

description
string | null

Description of the grant

expires_at
string<date-time> | null

When the grant expires

Example:

"2027-03-24T10:00:00Z"

invoice_id
string | null

Associated invoice identifier

payment_id
string | null

Associated payment identifier